Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager.persistence.jdbc
Class PortletDefinitionManagerImpl

    java.lang.Object
      |
      +--com.bea.netuix.application.manager.persistence.jdbc.PortletDefinitionManagerImpl

All Implemented Interfaces:
  EnterpriseBean, IPortletDefinitionManager, Serializable, SessionBean

public class PortletDefinitionManagerImpl
extends Object
implements SessionBean, IPortletDefinitionManager

See Also:
  Serialized Form

Field Summary
`protected static Debug` | `debug`

Constructor Summary
`PortletDefinitionManagerImpl()`

Method Summary
`PortletDefinition` | `clonePortletDefinition(CustomizationContext customizationContext, PortletDefinitionId portletDefinitionId)` Clone an existing portlet definition and all of it's localization resources.
`PortletDefinition` | `createPortletDefinition(CustomizationContext customizationContext, PortletDefinition portletDefinition)` Create a new portlet definition.
`void` | `deletePortletDefinition(CustomizationContext customizationContext, PortletDefinitionId portletDefinitionId)` Delete a portlet definition, but only if it is not used byt other portlet instances.
`void` | `deletePortletDefinitionWithCascade(CustomizationContext customizationContext, PortletDefinitionId portletDefinitionId)` Delete a portlet definition and all portlet instances associated with this definition.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`PortletDefinition` | `getPortletDefinition(CustomizationContext customizationContext, PortletDefinitionId portletDefinitionId)` Getter for returning a single `PortletDefinition` object given a supplied portlet definition identifier.
`PortletDefinition` | `getPortletDefinition(CustomizationContext customizationContext, String label, String webAppName)` Getter for returning a single `PortletDefinition` by Label.
`PortletDefinition` | `getPortletDefinitionFromFile(CustomizationContext customizationContext, String portletFile, String webAppName)` Return a portlet definitions with the portletFile equal to the supplied portlet file.
`PortletDefinition[]` | `getPortletDefinitions(CustomizationContext customizationContext, String webapp)` Getter for returning a list of all `PortletDefinitions` scoped to the supplied webapp.
`PortletView` | `getPortletView(CustomizationContext customizationContext, PortletDefinitionId portletDefinitionId)` Getter for returning an immutable deep copy of a `PortletView`.
`void` | `setSessionContext(SessionContext sessionContext)`
`void` | `updatePortletDefinition(CustomizationContext customizationContext, PortletDefinition portletDefinition)` Update the portlet definition with the new data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected static Debug debug

Constructor Detail

### PortletDefinitionManagerImpl

    public PortletDefinitionManagerImpl()

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws CreateException,
                          RemoteException

    `CreateException`
    `RemoteException`

### ejbActivate

    public void ejbActivate()
                     throws EJBException,
                            RemoteException

  Specified by:
    `ejbActivate` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### ejbPassivate

    public void ejbPassivate()
                      throws EJBException,
                             RemoteException

  Specified by:
    `ejbPassivate` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### ejbRemove

    public void ejbRemove()
                   throws EJBException,
                          RemoteException

  Specified by:
    `ejbRemove` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### setSessionContext

    public void setSessionContext(SessionContext sessionContext)
                           throws EJBException,
                                  RemoteException

  Specified by:
    `setSessionContext` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### getPortletView

    public PortletView getPortletView(CustomizationContext customizationContext,
                                      PortletDefinitionId portletDefinitionId)

  Description copied from interface: `IPortletDefinitionManager`

  Getter for returning an immutable deep copy of a `PortletView`. The `PortletView` object, unlike the `PortletDefinition` or the `PortletInstance` objects contains a full set of references to all child portlets, portlets and so on. The `PortletView` object however is immutable.

  Specified by:
    `getPortletView` in interface `IPortletDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales
    `portletDefinitionId` - the unique portletDefinitionId.
  Returns:
    an immutable deep copy PortletView object if one exist, otherwise null.

### getPortletDefinitions

    public PortletDefinition[] getPortletDefinitions(CustomizationContext customizationContext,
                                                     String webapp)
                                              throws RemoteException

  Description copied from interface: `IPortletDefinitionManager`

  Getter for returning a list of all `PortletDefinitions` scoped to the supplied webapp.

  Specified by:
    `getPortletDefinitions` in interface `IPortletDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales
    `webapp` - the web application these portlet definitions are scoped to.
  Returns:
    an array of `PortletDefinition` objects if they exist, otherwise, an empty array.
    `RemoteException`
  See Also:
    `PortletDefinition`

### getPortletDefinition

    public PortletDefinition getPortletDefinition(CustomizationContext customizationContext,
                                                  PortletDefinitionId portletDefinitionId)
                                           throws RemoteException

  Description copied from interface: `IPortletDefinitionManager`

  Getter for returning a single `PortletDefinition` object given a supplied portlet definition identifier.

  Specified by:
    `getPortletDefinition` in interface `IPortletDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales
    `portletDefinitionId` - the unique portlet definition identifier.
  Returns:
    a `PortletDefinition` object fully populated and internationalized, otherwise, `null` if the object does not exist.
    `RemoteException`

### deletePortletDefinition

    public void deletePortletDefinition(CustomizationContext customizationContext,
                                        PortletDefinitionId portletDefinitionId)
                                 throws RemoteException,
                                        ObjectNotFoundException,
                                        ObjectInUseException,
                                        NotEntitledException

  Description copied from interface: `IPortletDefinitionManager`

  Delete a portlet definition, but only if it is not used byt other portlet instances.

  Specified by:
    `deletePortletDefinition` in interface `IPortletDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales
    `portletDefinitionId` - the id of the portlet definition to delete.
  Throws:
    `NotEntitledException` - the caller is not entitled to perform this operation.
    `ObjectInUseException` - if portlet instances are currently using this portlet definition
    `ObjectNotFoundException` - if the portletDefinitionId is bogus
    `RemoteException`
  See Also:
    `IPortletDefinitionManager.deletePortletDefinitionWithCascade(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.PortletDefinitionId)`

### deletePortletDefinitionWithCascade

    public void deletePortletDefinitionWithCascade(CustomizationContext customizationContext,
                                                   PortletDefinitionId portletDefinitionId)
                                            throws RemoteException,
                                                   ObjectNotFoundException,
                                                   NotEntitledException

  Description copied from interface: `IPortletDefinitionManager`

  Delete a portlet definition and all portlet instances associated with this definition.

  Specified by:
    `deletePortletDefinitionWithCascade` in interface `IPortletDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales
    `portletDefinitionId` - the id of the portlet definition to delete.
  Throws:
    `NotEntitledException` - the caller is not entitled to perform this operation.
    `ObjectNotFoundException` - if the portletDefinitionId is bogus
    `RemoteException`
  See Also:
    `IPortletDefinitionManager.deletePortletDefinition(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.PortletDefinitionId)`

### updatePortletDefinition

    public void updatePortletDefinition(CustomizationContext customizationContext,
                                        PortletDefinition portletDefinition)
                                 throws RemoteException,
                                        ObjectNotFoundException,
                                        NotEntitledException

  Description copied from interface: `IPortletDefinitionManager`

  Update the portlet definition with the new data.

  Specified by:
    `updatePortletDefinition` in interface `IPortletDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales
    `portletDefinition` - the portlet definition containing the new data
  Throws:
    `ObjectNotFoundException` - if the LocalizationIntersectionId in the LocalizationResource is bogus.
    `RemoteException`
    `NotEntitledException`

### createPortletDefinition

    public PortletDefinition createPortletDefinition(CustomizationContext customizationContext,
                                                     PortletDefinition portletDefinition)
                                              throws RemoteException,
                                                     MissingDataException,
                                                     NotEntitledException,
                                                     DuplicateObjectException

  Description copied from interface: `IPortletDefinitionManager`
  Create a new portlet definition.

  Specified by:
    `createPortletDefinition` in interface `IPortletDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales
    `portletDefinition` - the object containing the data to create the new portlet definition with.
  Returns:
    a fully populated portlet definition object
  Throws:
    `MissingDataException` - the pade definition object supplied is missing some vital data.
    `NotEntitledException` - caller is not entitled to perform this action
    `DuplicateObjectException` - if the supplied portlet's definition label is already in the database.
    `RemoteException`

### clonePortletDefinition

    public PortletDefinition clonePortletDefinition(CustomizationContext customizationContext,
                                                    PortletDefinitionId portletDefinitionId)
                                             throws RemoteException,
                                                    ObjectNotFoundException,
                                                    NotEntitledException

  Description copied from interface: `IPortletDefinitionManager`

  Clone an existing portlet definition and all of it's localization resources. The localization resources are slightly mutated with a '_' in front of them as to allow the administrator to distingish from the original. Note: this method only clones the primary instance, any user instances derived from the original are not cloned.

  Specified by:
    `clonePortletDefinition` in interface `IPortletDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales
    `portletDefinitionId` - the id of the portlet definition to clone
  Returns:
    a fully populated portlet definition object
  Throws:
    `ObjectNotFoundException` - if the portletDefinitionId is bogus.
    `NotEntitledException` - caller is not entitled to perform this action
    `RemoteException`

### getPortletDefinition

    public PortletDefinition getPortletDefinition(CustomizationContext customizationContext,
                                                  String label,
                                                  String webAppName)
                                           throws RemoteException

  Description copied from interface: `IPortletDefinitionManager`

  Getter for returning a single `PortletDefinition` by Label. The `webAppName` name is the deployed name of the module, and is often the name of the WAR file or directory, although this is not always the case. This name is that name given in config.xml as the Name of the WebAppComponent element (and thus WebAppComponentMBean's Name attribute). Note that this name is not the name of the URL context root.

  Specified by:
    `getPortletDefinition` in interface `IPortletDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales
    `label` - the unique definitionLabel for the portlet. this is an optional label that the developer can set.
    `webAppName` - the webapp this portlet is scoped to.
  Returns:
    a `PortletDefinition` object fully populated and internationalized, otherwise, `null` if the object does not exist.
    `RemoteException`

### getPortletDefinitionFromFile

    public PortletDefinition getPortletDefinitionFromFile(CustomizationContext customizationContext,
                                                          String portletFile,
                                                          String webAppName)
                                                   throws RemoteException

  Description copied from interface: `IPortletDefinitionManager`

  Return a portlet definitions with the portletFile equal to the supplied portlet file. The `webAppName` name is the deployed name of the module, and is often the name of the WAR file or directory, although this is not always the case. This name is that name given in config.xml as the Name of the WebAppComponent element (and thus WebAppComponentMBean's Name attribute). Note that this name is not the name of the URL context root.

  Specified by:
    `getPortletDefinitionFromFile` in interface `IPortletDefinitionManager`
  Parameters:
    `customizationContext` -
    `portletFile` - the relative path to the portlet file from the domain directory example "beaApps/portal/.../myportlet.portlet"
    `webAppName` - the webapp this portlet is scoped to.
  Returns:
    a portlet definition, if no portlet matched then null
  Throws:
    `RemoteException`
  See Also:
    `ApplicationHelper.getWebAppName(javax.servlet.ServletContext)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved